
CoCoALib - Feature #431

NewPolyRing_DMPI has no constructor with a predefined PPM

30 Jan 2014 16:36 - Christof Soeger

Status: Closed Start date: 30 Jan 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 2.00 hours

Target version: CoCoALib-0.99533 Easter14 Spent time: 1.75 hour

Description

We would like to do

SparsePolyRing RQQ = NewPolyRing_DMPI(RingQQ(),dim+1,lex);

SparsePolyRing RZZ = NewPolyRing_DMPI(RingZZ(),PPM(RQQ)); // same indets and ordering as R

 

It is possible without the _DMPI. In this case a check is needed if the PPM is a valid PPM for an DMPI ring.

Related issues:

Related to CoCoA - Support #425: Osnabrueck 2014-01 Closed 27 Jan 2014

History

#1 - 31 Jan 2014 11:16 - Christof Soeger

- Status changed from New to In Progress

- % Done changed from 0 to 70

John implemented it. Works for me.

#2 - 31 Jan 2014 19:47 - John Abbott

- Category set to New Function

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 70 to 80

Wow I wrote something that actually works?? :-)

Bonus extra 10% for this issue :-)

Now I'll have to write a test, an example and some documentation... sigh!

#3 - 01 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#4 - 17 Apr 2014 00:52 - John Abbott

JAA noticed that ex-PolyRing1.C is too long & complicated; split it into two (one about ctors, the other about doing computations inside a poly ring). 

Add examples using NewPolyRing_DMPI to the ctor example!

#5 - 17 Apr 2014 09:24 - Anna Maria Bigatti
- Subject changed from NewPolyRing_DMPI has no constructur with a predefined PPM to NewPolyRing_DMPI has no constructor with a predefined

PPM

- Estimated time set to 2.00 h

#6 - 17 Apr 2014 10:30 - Anna Maria Bigatti

JAA noticed that ex-PolyRing1.C is too long & complicated; split it into two (one about ctors, the other about doing computations inside a poly

ring). Add examples using NewPolyRing_DMPI to the ctor example!

 

Simplified ex-PolyRing1.C.

Added example (ex-PolyRing4.C)

#7 - 17 Apr 2014 15:17 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

#8 - 17 Apr 2014 18:39 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
